Subject: bug#22253: Background of transparent PNG images uses default background color, instead of current one

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Sep 2019 18:22:32 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> The only way to fix this would be to re-generate the images whenever the
> background colour of the image changes, I guess?  Or to support alpha
> channels directly in the display engine, and I don't think we have
> support for that?

We don't, so I don't think there's any realistic way to fix this glitch.
I'm closing this bug report, but if anybody has a transparently bright
idea here, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no